<script setup lang="ts">
import { type Product } from '@/types/Product'
const props = defineProps<{
  product: Product
}>()

const emit = defineEmits<{
  selectedProduct: [Product] // selectedProduct
}>()
const selected = function () {
  console.log(`Productcard` + props.product.type)
  emit('selectedProduct', props.product)
}
</script>
<template>
  <v-sheet
    width="170"
    height="170"
    elevation="3"
    @click="selected"
    style="background-color: #fce4ec"
  >
    <br />
    <v-img :src="`./img/coffee/product${product.id}.png`" height="120"></v-img>
    <div style="text-align: center; font-size: 8pt">{{ product.name }}</div>
  </v-sheet>
</template>
